%global momorel 3
%global artsver 1.5.5
%global artsrel 1m
%global qtver 3.3.5
%global kdever 3.5.5
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 71c0a690abf8ad0f43135fa887d0b40c

%global kdelibsrel 7m
%global kdebaserel 8m
%global kdemultimediarel 2m
%global kdenetworkrel 1m
%global kdegamesrel 1m
%global kdeadminrel 1m
%global kdepimrel 2m

Name: kdeaddons
Summary: K Desktop Environment - Plugins
Version: %{kdever}
Release: %{momorel}m
Group: User Interface/Desktops
License: GPL
URL: http://www.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
## mirror site in Japan.
# %%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 %{md5sum_src0}
Patch0: kdeaddons-3.5.1-rgb.txt-path.patch

# upstream patch(es)
Patch100: kdeaddons-3.5.5-kde#129524.patch
Patch101: kdeaddons-3.5.5-kde#134929.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}, kdenetwork >= %{kdever}-%{kdenetworkrel}, kdeadmin >= %{kdever}-%{kdeadminrel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}, kdepim >= %{kdever}-%{kdepimrel}
Requires: SDL >= 1.2.7-11m                    
BuildPreReq: qt-devel >= %{qtver}, arts-devel >= %{artsver}-%{artsrel}                     
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}, kdebase >= %{kdever}-%{kdebaserel}, kdenetwork >= %{kdever}-%{kdenetworkrel}, kdeadmin >= %{kdever}-%{kdeadminrel}, kdemultimedia >= %{kdever}-%{kdemultimediarel}, kdegames >= %{kdever}-%{kdegamesrel}, kdepim >= %{kdever}-%{kdepimrel}
BuildPreReq: automake >= 1.5-8k
BuildPreReq: autoconf >= 2.56-3m
BuildPreReq: perl, zlib-devel, libpng-devel, libmng-devel
BuildPrereq: alsa-lib-devel, SDL-devel, xmms-devel
BuildPreReq: db4-devel >= 4.3

Obsoletes: %{name}-kate
Obsoletes: %{name}-kicker
Obsoletes: %{name}-konqueror
Obsoletes: %{name}-noatun

Provides: %{name}-kate
Provides: %{name}-kicker
Provides: %{name}-konqueror
Provides: %{name}-noatun

%description
Plugins for some KDE applications: %{name} extends the functionality
of Konqueror (web browser and file manager), noatun (media player),
Kate (text editor) and Kicker (the task bar/application launcher).

%prep
%setup -q

%patch0 -p0 -b .rgb.txt-path

# apply upstream patch(es)
%patch100 -p1 -b .kde#129524
%patch101 -p1 -b .kde#134929

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

export CXXFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG -fno-use-cxa-atexit"
export CFLAGS="%{optflags} -DNDEBUG -DNO_DEBUG"

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--disable-debug \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

make -C noatun-plugins %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

make -C noatun-plugins install DESTDIR=%{buildroot}

# Make symlinks relative
pushd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/apps/akregator/pics/*.png
%{_datadir}/apps/atlantikdesigner/*.rc
%{_datadir}/apps/domtreeviewer
%{_datadir}/apps/fsview
%{_datadir}/apps/imagerotation
%{_datadir}/apps/kaddressbook/*.rc
%{_datadir}/apps/kate/plugins/*
%{_datadir}/apps/kate/scripts/*
%{_datadir}/apps/katepart/syntax/*.xml
%{_datadir}/apps/katexmltools
%{_datadir}/apps/khtml/kpartplugins/*.desktop
%{_datadir}/apps/khtml/kpartplugins/*.rc
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/apps/knewsticker/scripts/*
%{_datadir}/apps/konqiconview/kpartplugins/*.desktop
%{_datadir}/apps/konqiconview/kpartplugins/*.rc
%{_datadir}/apps/konqlistview/kpartplugins/*.desktop
%{_datadir}/apps/konqlistview/kpartplugins/*.rc
%{_datadir}/apps/konqsidebartng/*/*.desktop
%{_datadir}/apps/konqueror/icons/crystalsvg/16x16/actions/*.png
%{_datadir}/apps/konqueror/kpartplugins/*.desktop
%{_datadir}/apps/konqueror/kpartplugins/*.rc
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/ksig
%{_datadir}/apps/mediacontrol/*
%{_datadir}/apps/metabar
%{_datadir}/apps/microformat
%{_datadir}/apps/noatun/*
%{_datadir}/config/*rc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/kate-plugins
%{_datadir}/doc/HTML/en/kicker-applets
%{_datadir}/doc/HTML/en/konq-plugins
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/kaddressbook/*.desktop
%{_datadir}/services/*.desktop

%changelog
* Mon Nov 13 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-3m)
- import upstream patch to fix following problem
  #134929, Konqueror crashes when pressing the close window link of a popup

* Tue Nov  7 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-2m)
- import upstream patch to fix following problem
  #129524, recent copy/move to directory list in filemanager
           only contains max. 5 entries though in kcontrol 6 is selected

* Fri Oct 27 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.5.5-1m)
- update to KDE 3.5.5

* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Sat Jul  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-2m)
- import kdeaddons-3.5.1-rgb.txt-path.patch from Fedora Core devel
 +* Fri May 05 2006 Petr Rockai <prockai@redhat.com> - 3.5.2-2
 +- fix path to rgb.txt in kolourpicker (#174139)

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-3m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Mon Jan  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5.0-2m)
- rebuild against db-4.3

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- add --disable-rpath to configure

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- add %%doc

* Tue Jun 28 2005 Yohsuke Ooi <meke@momonga-linux.org>
- (3.4.1-2m)
- fixed build error gcc4. import FC patch.(admin-visibility.patch)

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: arts-devel, zlib-devel, libpng-devel, libmng-devel
- BuildPrereq: SDL-devel, xmms-devel, db4-devel

* Sat Feb 26 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.2-4m)
- rebuild against SDL-1.2.7-11m

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.3.2-3m)
- rebuild against SDL-1.2.7-9m

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdebase-3.3.0-2m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0
- add Requires: kdelibs

* Mon Aug 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-3m)
- rebuild against DirectFB-0.9.21

* Tue Jun 29 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.2.3-2m)
- rebuild against db4.2

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- add BuildPreReq: and Requires: kdepim
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Fri Dec 19 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Sat Oct 4 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-4m)
- add -fno-stack-protector if gcc is 3.3

* Sun Jun 15 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-3m)
- remove --disable-warnings from configure

* Wed Jun  4 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.2-2m)
  rebuild against DirectFB 0.9.18

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
   no changes since 3.1.1
- delete export _POSIX2_VERSION=199209 and add BuildPreReq: coreutils >= 5.0-1m

* Sun May 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-4m)
- add --disable-warnings to configure

* Mon May 12 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-3m)
- export _POSIX2_VERSION=199209

* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    no changelog...

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Tue Feb 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1-1m)
- update to 3.1
- add kdeaddons-3.1.0-sidebar-video.patch

* Tue Jan 21 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-4m)
- rebuild against kdebase-3.0.5a-3m , kdenetwork-3.0.5a-2m

* Mon Jan 20 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-3m)
- rebuild against kdemultimedia-3.0.5a-2m

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.0.5a-2m)
- rebuild against for DirectFB-0.9.16

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Wed Aug 28 2002 Kazuhiko <kazuhiko@fdiary.net>
- (3.0.3-2m)
- rebuild against kdemultimedia-3.0.3-2m

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.
- change using autoconf from autoconf-old.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Tue Apr  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.0-4k)
- applied kdeaddons-3.0-babelfish-cjk-20020407.diff

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release 

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.

* Mon Feb 24 2002 Shingo Akagaki <dora@kondara.org>
- (2.2.2-6k)
- just rebuild for .la fix

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>    
- (2.2.2-4k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Tue Nov 27 2001 Toru Hoshina <t@kondara.org>
- (2.2.2-2k)
- version up.

* Tue Oct 30 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-6k)
- revised spec file.

* Mon Oct 15 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-4k)
- rebuild against libpng 1.2.0.

* Thu Oct  4 2001 Toru Hoshina <t@kondara.org>
- (2.2.1-2k)
- version up.

* Tue Aug 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-2k)
- stable release.

* Sat Aug 11 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0003002k)
- based on 2.2beta1.

* Fri Jun  1 2001 Toru Hoshina <toru@df-usa.com>
- (2.2.0-0.0002002k)
- based on 2.2alpha2.

* Sat May 26 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.alpha2.1
- 2.2 alpha 2
- split into serveral packages

* Thu Apr 26 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Initial release

